Index: trunk/language/eo_EO/common.lang.php
===================================================================
--- trunk/language/eo_EO/common.lang.php	(revision 22690)
+++ trunk/language/eo_EO/common.lang.php	(revision 22829)
@@ -58,8 +58,8 @@
 $lang['Album'] = 'Fotaro';
 $lang['Close this window'] = 'Fermi la fenestron';
-$lang['Complete RSS feed (photos, comments)'] = 'Plena RSS Fadeno (fotoj kaj komentoj)';
+$lang['Complete RSS feed (photos, comments)'] = 'Plena RSS-fluo (fotoj kaj komentoj)';
 $lang['Confirm Password'] = 'Konfirmi pasvorton';
 $lang['Connection settings'] = 'Konekta agordo';
-$lang['Login'] = 'Konekto';
+$lang['Login'] = 'Ensaluti';
 $lang['Contact webmaster'] = 'Kontakti la retestron';
 $lang['Create a new account'] = 'Krei novan konton';
@@ -78,9 +78,9 @@
 $lang['Filter and display'] = 'Filtri kaj surekranigi';
 $lang['Filter'] = 'Filtrilo';
-$lang['Forgot your password?'] = 'Ĉu vi forgesis vian pasvorton ?';
+$lang['Forgot your password?'] = 'Ĉu vi forgesis vian pasvorton?';
 $lang['Go through the gallery as a visitor'] = 'Trairi la galerion kiel vizitanto';
 $lang['Help'] = 'Helpo';
 $lang['Identification'] = 'Identigado';
-$lang['Photos only RSS feed'] = 'Nur fota RSS Fadeno';
+$lang['Photos only RSS feed'] = 'Nur fota RSS-fluo';
 $lang['Keyword'] = 'Ŝlosilvorto';
 $lang['Links'] = 'Ligiloj';
@@ -88,13 +88,13 @@
 $lang['New on %s'] = 'Nova je la %s';
 $lang['Notification'] = 'Sciigo';
-$lang['Number of items'] = 'Nombro de ero';
+$lang['Number of items'] = 'Nombro de eroj';
 $lang['Original dimensions'] = 'Originala grandeco';
 $lang['Password forgotten'] = 'Forgesita pasvorto';
 $lang['Password'] = 'Pasvorto';
-$lang['Post date'] = 'Aldonita dato';
+$lang['Post date'] = 'Dato de aldonado';
 $lang['Posted on'] = 'Aldonita je la';
 $lang['Profile'] = 'Profilo';
 $lang['Quick connect'] = 'Rapida konekto';
-$lang['RSS feed'] = 'RSS fadeno';
+$lang['RSS feed'] = 'RSS-fluo';
 $lang['Register'] = 'Registri';
 $lang['Registration'] = 'Registrado';
@@ -111,5 +111,5 @@
 $lang['Tag'] = 'Etikedo';
 $lang['Tags'] = 'Etikedoj';
-$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'La RSS fadeno sciigas pri eventoj de la galerio : novaj fotoj, ĝisdatigitaj fotaroj, novaj komentoj de uzantoj. Tio uziĝas per RSS legilo.';
+$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'La RSS-fluo sciigas pri eventoj de la galerio: novaj fotoj, ĝisdatigitaj fotaroj, novaj komentoj de uzantoj. Tio uziĝas per RSS-legilo.';
 $lang['Unknown feed identifier'] = 'Nekonata fadena identigilo';
 $lang['User comments'] = 'Uzantaj komentoj';
@@ -119,10 +119,10 @@
 $lang['Week %d'] = 'Semajno %d';
 $lang['About Piwigo'] = 'Pri Piwigo';
-$lang['You are not authorized to access the requested page'] = 'Vi ne rajtas legi tiun paĝon. Forfikiĝu !';
+$lang['You are not authorized to access the requested page'] = 'Vi ne rajtas legi tiun paĝon. Forfikiĝu!';
 $lang['add this photo to your favorites'] = 'Aldoni tiun foton al via legosigno';
 $lang['Administration'] = 'Administrado';
 $lang['all'] = 'ĉio';
 $lang['ascending'] = 'kreskanta';
-$lang['author(s) : %s'] = 'aŭtoro(j) : %s';
+$lang['author(s) : %s'] = 'aŭtoro(j): %s';
 $lang['Expand all albums'] = 'Etendi ĉiujn fotarojn';
 $lang['posted after %s (%s)'] = 'aldonita post la %s (%s)';
@@ -143,5 +143,5 @@
 $lang['Comment'] = 'Komento';
 $lang['Your comment has been registered'] = 'Via komento estis registrita';
-$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Kontraŭ-fekula sistemo : bonvolu pacienciĝi antaŭ aldoni novan komenton';
+$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Kontraŭ-fekula sistemo: bonvolu pacienciĝi antaŭ aldoni novan komenton';
 $lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Via komento ne validiĝis ĉar ĝi ne kongruas al nia striktaj reguloj';
 $lang['An administrator must authorize your comment before it is visible.'] = 'Administranto devas validigi vian komenton antaŭ ke ĝi iĝu videbla.';
@@ -174,5 +174,5 @@
 $lang['First'] = 'Unua';
 $lang['The gallery is locked for maintenance. Please, come back later.'] = 'Ni ŝlosis la galerion por plibonigi ĝin, bonvolu reveni poste.';
-$lang['Page generated in'] = 'Paĝo kreita je la';
+$lang['Page generated in'] = 'Paĝo kreita en';
 $lang['guest'] = 'Vizitanto';
 $lang['Hello'] = 'Saluton';
@@ -187,5 +187,5 @@
 $lang['in %d sub-albums'] = 'en %d sub-fotaroj';
 $lang['included'] = 'inkluzivita';
-$lang['Invalid password!'] = 'Nevalidat pasvorto !';
+$lang['Invalid password!'] = 'Nevalida pasvorto!';
 $lang['Language'] = 'Lingvo';
 $lang['last %d days'] = '%d lastaj tagoj';
@@ -212,5 +212,5 @@
 $lang['display most visited photos'] = 'montri la plej ofte vizititajn fotojn';
 $lang['The number of photos per page must be a not null scalar'] = 'Nombro de fotoj en unu paĝo devas esti ne-nula nombro';
-$lang['Number of photos per page'] = 'Nombro de miniaturo';
+$lang['Number of photos per page'] = 'Nombro de miniaturoj sur paĝo';
 $lang['Unknown identifier'] = 'Nekonata identigilo';
 $lang['New password'] = 'Nova pasvorto';
@@ -225,7 +225,7 @@
 $lang['Click on the photo to see it in high definition'] = 'Musklaku la foton por grandigi ĝin (aŭ proksimiĝu la ekranon)';
 $lang['Show file metadata'] = 'Montri dosiermetadatumojn';
-$lang['Powered by'] = 'potencigita per';
+$lang['Powered by'] = 'Potencigita per';
 $lang['Preferences'] = 'Agordo';
-$lang['Previous'] = 'Lasta';
+$lang['Previous'] = 'Antaŭa';
 $lang['Random photos'] = 'Hazarda foto';
 $lang['display a set of random photos'] = 'montri hazarde plurajn fotojn';
@@ -236,9 +236,9 @@
 $lang['display most recent photos'] = 'montri la plej lastajn fotojn';
 $lang['Redirection...'] = 'Alidirektado...';
-$lang['Please, enter a login'] = 'Bonvolu entajpi uzantnomon';
+$lang['Please, enter a login'] = 'Bonvolu entajpi salutnomon';
 $lang['login mustn\'t end with a space character'] = 'Uzantnomo ne finiĝu per spaceto';
 $lang['login mustn\'t start with a space character'] = 'Uzantnomo ne komenciĝu per spaceto';
 $lang['this login is already used'] = 'Tiu uzantnomo jam uziĝas';
-$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'La retadreso devas simili al xxx@yyy.eee (ekzemple : zamenhof@bialistoko.pl)';
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'La retadreso devas simili al xxx@yyy.eee (ekzemple: zamenhof@bialistoko.pl)';
 $lang['please enter your password again'] = 'Bonvolu tajpi vian pasvorton denove (aŭ kopi-gluu ĝin)';
 $lang['Auto login'] = 'Aŭtomata konekto';
@@ -249,5 +249,5 @@
 $lang['Date'] = 'Dato';
 $lang['End-Date'] = 'Fin-dato';
-$lang['Kind of date'] = 'Type de date';
+$lang['Kind of date'] = 'Dato-tipo';
 $lang['Search for words'] = 'Serĉi vorton';
 $lang['Search for all terms'] = 'Serĉi ĉiujn vortojn';
@@ -255,5 +255,5 @@
 $lang['Search results'] = 'Serĉa rezulto';
 $lang['Search in sub-albums'] = 'Serĉi en la sub-fotaroj';
-$lang['searched words : %s'] = 'serĉitaj vortoj : %s';
+$lang['searched words : %s'] = 'serĉitaj vortoj: %s';
 $lang['Contact'] = 'Kontakto';
 $lang['set as album representative'] = 'Elekti kiel delegito de tiu fotaro';
@@ -277,5 +277,5 @@
 $lang['Quick search'] = 'Rapida serĉo';
 $lang['Connected user: %s'] = 'Konektita uzanto: %s';
-$lang['IP: %s'] = 'IP : %s';
+$lang['IP: %s'] = 'IP: %s';
 $lang['Browser: %s'] = 'Foliumilo: %s';
 $lang['Author: %s'] = 'Aŭtoro: %s';
@@ -321,10 +321,10 @@
 $lang['(!) This comment requires validation'] = '(!) Tiu komento validigendas';
 $lang['Welcome'] = 'Bonvenon';
-$lang['Welcome to your Piwigo photo gallery!'] = 'Bonvenon en via Galerio Piwigo !';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Bonvenon en via Galerio Piwigo!';
 $lang['... or browse your empty gallery'] = '... aŭ foliumu en via malplenan galerion';
 $lang['... or please deactivate this message, I will find my way by myself'] = '... aŭ kaŝu tiun mesaĝon, mi mem elturniĝos';
-$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Saluton %s, via galerio Piwigo estas malplena !';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Saluton %s, via galerio Piwigo estas malplena!';
 $lang['I want to add photos'] = 'Mi deziras aldoni fotojn';
-$lang['Manage this user comment: %s'] = 'Mastrumi tiun uzantan komenton : %s';
+$lang['Manage this user comment: %s'] = 'Mastrumi tiun uzantan komenton: %s';
 $lang['Email address is missing. Please specify an email address.'] = "Retadreso mankas. Bonvolu specifi retadreson.";
 $lang['This author modified following comment:'] = 'Tiu aŭtoro ŝanĝis la jenan komenton:';
@@ -337,5 +337,5 @@
 $lang['Username "%s" on gallery %s'] = 'Uzanto "%s" ĉe la galerio  %s';
 $lang['To reset your password, visit the following address:'] = 'Por renovigi vian pasvorton, musklaku la jenan ligilon:';
-$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Se vi erare petis, nur ignoru tiun mesaĝon kaj nenio okazos.';
+$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Se vi ĵus eraris, nur ignoru tiun mesaĝon kaj nenio okazos.';
 $lang['Password Reset'] = 'Renovigo de via pasvorto';
 $lang['Check your email for the confirmation link'] = 'Kontrolu viajn retmesaĝojn por trovi la konfirman ligilon';
@@ -355,5 +355,5 @@
 $lang['IPTC Metadata'] = 'Datumoj IPTC';
 $lang['Download this file'] = 'Elŝuti tiun dosieron';
-$lang['Download'] = 'elŝuti';
+$lang['Download'] = 'Elŝuti';
 $lang['Edit'] = 'Redakti';
 $lang['Hello %s,'] = 'Saluton %s,';
@@ -361,7 +361,7 @@
 $lang['Search for any term'] = 'Serĉi por iu ajn vorto';
 $lang['Send my connection settings by email'] = 'Sendi mian konektan agordon per retmesaĝo';
-$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Vi sukcese registris, vi baldaŭ ricevos retmesaĝe viajn konektajn agordojn. Bonvenon !';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Vi sukcese registris, vi baldaŭ ricevos retmesaĝe viajn konektajn agordojn. Bonvenon!';
 $lang['Username modification'] = 'ŝanĝo de uzantnomo';
-$lang['Your username has been successfully changed to : %s'] = 'Via uzantnomo sukcese ŝanĝiĝis por : %s';
+$lang['Your username has been successfully changed to : %s'] = 'Via uzantnomo sukcese ŝanĝiĝis por: %s';
 $lang['square'] = 'Kvadrata';
 $lang['thumb'] = 'miniaturo';