Index: /extensions/charlies_content/language/pt_PT/description.txt
===================================================================
--- /extensions/charlies_content/language/pt_PT/description.txt	(revision 22862)
+++ /extensions/charlies_content/language/pt_PT/description.txt	(revision 22862)
@@ -0,0 +1,1 @@
+Charlies é uma solução global para conteúdos não fotográficos.
Index: /extensions/charlies_content/language/pt_PT/plugin.lang.php
===================================================================
--- /extensions/charlies_content/language/pt_PT/plugin.lang.php	(revision 22862)
+++ /extensions/charlies_content/language/pt_PT/plugin.lang.php	(revision 22862)
@@ -0,0 +1,131 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Skin'] = 'matriz';
+$lang['Skin image'] = 'Imagem matriz';
+$lang['Unknown file (skin)'] = 'Arquivo desconhecido (matriz)';
+$lang['Video buffer size in seconds'] = 'Tamanho do buffer em segundos';
+$lang['or fullscreen or playpause or none'] = 'ou tela cheia ou pausa de execução ou nada';
+$lang['_self'] = '_self';
+$lang['_blank'] = '_blank';
+$lang['Your configuration is saved.'] = 'A sua configuração foi salva';
+$lang['Your configuration is NOT saved due to above reasons.'] = 'Sua configuração NÃO é salva dadas as razões supra.';
+$lang['You are Adviser and you are not authorized to change this configuration.'] = 'Você é conselheiro e você não está autorizado a alterar esta configuração.';
+$lang['Wrong filename. RTMP (Real Time Messaging Protocol) is a TCP based propriety protocol developed by Adobe System for the purpose of streaming Audio/Video data between Flash Player and media server.'] = 'Nome do arquivo errado. RTMP (Real Time Messaging Protocol) é um protocolo baseado em TCP decoro desenvolvido pela Adobe System com a finalidade de transmissão de dados audio / vídeo entre o Flash Player e o servidor de mídia.';
+$lang['Wrong filename or file not found (Subtitles file)'] = 'Nome de arquivo errado ou arquivo não encontrado (arquivo sub-titulos)';
+$lang['Volume is out of range (Correct range: 0-200)'] = 'Volume está fora do parâmetro (Parâmetro correto: 0-200)';
+$lang['Volume ']['0-200'] = 'Volume [0-200]';
+$lang['Video default width'] = 'Largura video por defeito';
+$lang['Video default height'] = 'Altura video por defeito';
+$lang['Unknown file or URL|x|y error (x and y must be numeric)'] = 'Arquivo desconhecido ou erro URL|x|y (x e y devem ser numéricos)';
+$lang['Subtitles file URL'] = 'URL do arquivo de sub-titulos';
+$lang['Subtitles background'] = 'Fundo dos sub-titulos';
+$lang['Use subtitles'] = 'Usar sub-titulos';
+$lang['Use existing .xml to config'] = 'Usar .xml existente para configurar';
+$lang['Use existing .txt to config'] = 'Usar .txt para configurar';
+$lang['Title and start picture'] = 'Título e imagem inicial';
+$lang['Subtitle font size is out of range (Correct range: 8-24)'] = 'O tamanho da letra dos sub-titulos está fora dos parâmetros (Parâmetro correto: 8-24)';
+$lang['Unknown file (Start image)'] = 'Arquivo desconhecido (Imagem inicial)';
+$lang['URL of .srt'] = 'URL do .srt';
+$lang['Title'] = 'Título';
+$lang['Title font size ']['12-72'] = 'Tamanho da letra do título [12-72]';
+$lang['Title font size is out of range (Correct range: 12-72)'] = 'Tamanho da letra do título está fora do parâmetro (Parâmetro correto:12-72)';
+$lang['Start image'] = 'Imagem inicial';
+$lang['Subtitles font size ']['8-24'] = 'Tamanho da letra dos Sub-titulos [8-24]';
+$lang['Templates configuration'] = 'Configuração das matrizes';
+$lang['Time left'] = 'Tempo que resta';
+$lang['Show stop button'] = 'Mostrar botão de paragem';
+$lang['Show subtitles switch'] = 'Mostrar interruptor dos subtitulos';
+$lang['Show time'] = 'Mostrar tempo';
+$lang['Show volume'] = 'Mostrar volume';
+$lang['Subtitles'] = 'Sub-titulos';
+$lang['Play icon in middle'] = 'Icon no centro';
+$lang['Play icon transparency ']['0-100'] = 'Transparência do icon [0-100]';
+$lang['Play icon transparency is out of range (Correct range: 0-100)'] = 'Transparência do icon está fora de parâmetro (Parâmetro correto: 0-100';
+$lang['RTMP server URL'] = 'URL do servidor RTMP';
+$lang['Reset ALL Charlies\' configuration'] = 'Reset total da configuração Carlie\'s';
+$lang['Reset ALL Confirmation'] = 'Confirmar o reset total';
+$lang['Rightbar gradient fading'] = 'Esbatido de cores da barra direita';
+$lang['Save Charlies\' configuration'] = 'Salvar configuração Charlie\'s';
+$lang['Show loading'] = 'Mostrar carregamento';
+$lang['Show mouse'] = 'Mostrar rato';
+$lang['Show player'] = 'Mostrar jogador';
+$lang['General options'] = 'Opções gerais';
+$lang['Hover bar gradient'] = 'Hover bar gradient';
+$lang['Hover player buttons'] = 'Hover player buttons';
+$lang['Invalid color code: 3 or 6 hexadecimal characters, preceded by "#"'] = 'Código de cor inválido';
+$lang['Keyboard shortcuts'] = 'Atalhos de teclado';
+$lang['Leftbar gradient fading'] = 'Nuance de cores da barra esquerda';
+$lang['Load an image over video'] = 'Carregar uma imagem sobre o video';
+$lang['Loading bar'] = 'Barra de carga';
+$lang['Margin for skin'] = 'Margem para o modelo';
+$lang['Margin is out of range (Correct range: 0-40)'] = 'Margem está fora do parâmetro (Parâmetro correto: 0-40)';
+$lang['Miscellaneous'] = 'Misturas';
+$lang['Never'] = 'Nunca';
+$lang['Note: These options are available with the Maxi FLV Player. More details on all theses options on:'] = 'Nota: Estas opções estão disponíveis com o executor Maxi FLV. Mais detalhes para todas estas opções em:';
+$lang['Off'] = 'Off';
+$lang['On'] = 'On';
+$lang['Onclick URL'] = 'Onclick URL';
+$lang['PHP streaming'] = 'PHP streaming';
+$lang['Play icon'] = 'Icon de execução';
+$lang['Play icon background'] = 'Fundo do icon de execução';
+$lang['Color usage might be just for information (Players could just ignore them or use them differently)'] = 'Uso da cor pode ser apenas para informação (Jogadores podem simplesmente ignorá-las ou utilizá-las diferentemente)';
+$lang['Config by element'] = 'Configurar por elemento';
+$lang['Curtain selection'] = 'Seleção de cortina';
+$lang['Default 1500 milliseconds.'] = '1500 milisegundos por defeito';
+$lang['Default 5 seconds'] = '5 segundos por defeito';
+$lang['Default height is out of range (Correct range: 90-1024)'] = 'Altura por defeito está fora dos parâmetros(Parâmetro correto:90-1024)';
+$lang['Default size might be 11.'] = 'Tamanho por defeito deve ser 11';
+$lang['Default size might be 20.'] = 'Tamanho por defeito deve ser 20';
+$lang['Default width is out of range (Correct range: 90-1024)'] = 'Altura por defeito está fora dos parâmetros(Parâmetro correto:90-1024)';
+$lang['Display first picture'] = 'Mostrar primeira foto';
+$lang['FYI: all these options might be used or NOT by the inbound player (template).'] = 'FYI: Todas estas opções pode ser usadas ou NÃO pelo jogador de entrada (modelo).';
+$lang['Filename.srt might be use for captioning'] = 'Nome de arquivo .srt pode ser usado para legendas';
+$lang['Filename.txt might be use as config.txt file'] = 'Nome de arquivo .txt pode ser usado como arquivo config.txt ';
+$lang['Filename.xml might be use as config.xml file'] = 'Nome de arquivo .xml pode ser usado como arquivo config.xml ';
+$lang['Flash Player 9.0.16.60 or above is required.'] = 'É requerido o Flash Player 9.0.16.60 ou superior.';
+$lang['Forced height is out of range (Correct range: 90-1024)'] = 'Altura forçada está fora do parâmetro (Parâmetro correto: 90-1024)';
+$lang['Forced video height'] = 'Altura forçada do video';
+$lang['Forced video width'] = 'Largura forçada do video';
+$lang['Forced width is out of range (Correct range: 90-1024)'] = 'Largura forçada está fora do parâmetro (Parâmetro correto: 90-1024)';
+$lang['Fullscreen'] = 'Tela completa';
+$lang['(Adobe Systems for streaming audio, video and data)'] = '(Sistemas Adobe para execução de audio, vídeo e dados)';
+$lang['(URL of a non progressive jpg)'] = '(URL de uma jpg não progressiva)';
+$lang['(URL|x|y : where x,y are the offsets to place the picture)'] = 'URL|x|y: onde x, y são os limites para colocar a imagem)';
+$lang['.png without transparency are recommended. Maybe you can change a set of curtains by yours.'] = 'Recomenda-se .png sem transparência. Talvez possa alterar um conjunto de cortinas pelas suas pessoais.';
+$lang['Active curtains'] = 'Cortinas ativas';
+$lang['Always'] = 'Sempre';
+$lang['Autohide'] = 'Auto esconder';
+$lang['Autohide delay ']['0-9999'] = 'Demora para auto esconder[0-9999]';
+$lang['Autohide delay is out of range (Correct range: 0-9999)'] = 'Demora para auto esconder está fora dos parâmetros (Parâmetro correto: 0-9999)';
+$lang['Autoload'] = 'Auto carregar';
+$lang['Autoplay'] = 'Auto exibir';
+$lang['Background'] = 'Fundo';
+$lang['Bind your prefered extensions to a template file (player) from:'] = 'Vincular suas extensões preferidos a um arquivo modelo (player) de:';
+$lang['Bottom border fading'] = 'Esbatido gradual da beira da base';
+$lang['Buffer'] = 'Buffer';
+$lang['Buffer background'] = 'Buffer background';
+$lang['Buffering'] = 'Buffering';
+$lang['Buffering _n_'] = 'Buffering _n_';
+$lang['Charlies player template-mimetype association'] = 'Associação Jogador Charlies template-mimetype';
+$lang['Charlies players configuration'] = 'Configuração Charlies players';
+?>