Index: /extensions/FacebookPlug/Plugin/language/zh_CN/admin.lang.php
===================================================================
--- /extensions/FacebookPlug/Plugin/language/zh_CN/admin.lang.php	(revision 22922)
+++ /extensions/FacebookPlug/Plugin/language/zh_CN/admin.lang.php	(revision 22922)
@@ -0,0 +1,93 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['button_count'] = 'button_count';
+$lang['dark'] = '深';
+$lang['enabled values are restored'] = 'enabled values are restored';
+$lang['image'] = '图片';
+$lang['light'] = '浅';
+$lang['like'] = 'like';
+$lang['on slideshow pages'] = '于幻灯页';
+$lang['page'] = '页';
+$lang['recommend'] = '推荐';
+$lang['standard'] = '标准';
+$lang['To fill only if you want to use a specific Facebook application. It\'s recommended to leave blank.'] = '仅当您想使用一特定Facebook应用时填写。建议留空。';
+$lang['Upload'] = '上传';
+$lang['Upload picture'] = '上传图片';
+$lang['Useful for personal templates, plugins. A event if also defined for plugins.'] = '对个性化模板、插件有用。A event if also defined for plugins.';
+$lang['Show faces'] = '显示faces';
+$lang['Show header'] = '显示页头';
+$lang['Show recommendations'] = 'Show recommendations';
+$lang['Show stream'] = 'Show stream';
+$lang['Simple'] = '简单';
+$lang['Social plugins'] = '社交插件';
+$lang['Title'] = '标题';
+$lang['Reverse'] = '反向';
+$lang['Share'] = '分享';
+$lang['Share album page'] = '分享相册页';
+$lang['Share picture page'] = '分享图片页';
+$lang['Publish feed'] = 'Publish feed';
+$lang['Recommended in order to Facebook get title, ... of your pages for wall display'] = 'Recommended in order to Facebook get title, ... of your pages';
+$lang['Promote'] = 'Promote';
+$lang['Verb to display'] = 'Verb to display';
+$lang['box_count'] = 'box_count';
+$lang['Facebook application identifient'] = 'Facebook应用程序的ID';
+$lang['Data updated with success'] = '数据更新成功';
+$lang['Develop by'] = 'Develop by';
+$lang['Enabled'] = '启用';
+$lang['Facebook Page URL'] = 'Facebook页面URL';
+$lang['Facepile'] = 'Facepile';
+$lang['Height'] = '高度';
+$lang['Informations'] = '信息';
+$lang['Layout style'] = '布局风格';
+$lang['Like box'] = 'Like box';
+$lang['Like button'] = 'Like button';
+$lang['Like button and comments cannot be enabled together'] = 'Like button 和评论不能同时启用';
+$lang['Num posts'] = 'Num posts';
+$lang['Num rows'] = 'Num rows';
+$lang['On menu of main pages'] = '于首页菜单';
+$lang['On picture pages'] = '于图片菜单';
+$lang['Options'] = '选项';
+$lang['Other options are available by programming'] = '其它选项可修改程序以启用';
+$lang['Page type allows to reference the page and Facebook can get informations (title, ...). Image type allows to reference image url and Facebook cannot get informations but works always with private albums.'] = 'Page type allows to reference the page and Facebook can get informations (title, ...). Image type allows to reference image url and Facebook cannot get informations but works always with private albums.';
+$lang['Picture URL type'] = '图片URL类型';
+$lang[' (?)'] = '(?)';
+$lang['Activity'] = 'Activity';
+$lang['Activity feed'] = 'Activity feed';
+$lang['Add Facebook Piwigo application on footer'] = '在页脚添加Facebook的Piwigo应用';
+$lang['Add Facebook Piwigo group on footer'] = '在页脚添加Facebook的Piwigo组';
+$lang['Add a icon link on each album page to share on Facebook'] = '在每个相册页添加用以分享到Facebook的图标形式的链接';
+$lang['Add a icon link on each picture page to share on Facebook'] = '在每个图片页添加用以分享到Facebook的图标形式的链接';
+$lang['Add a icon link on each picture page to upload image on Facebook'] = '在每个图片页添加用以上传图片到Facebook的图标形式的链接';
+$lang['Add a link on each page footer'] = '在每页页脚添加链接';
+$lang['Add a paragraph with Facebook link on about page'] = '在about页添加含有Facebook链接的段落';
+$lang['Add informations on about page'] = '在about页添加信息';
+$lang['Advanced'] = '高级';
+$lang['Allow Facebook to see private page'] = '允许Facebook显示非公开页面';
+$lang['Always initialize Facebook'] = '总是预置Facebook';
+$lang['Asynchronous Facebook access'] = '异步Facebook接入';
+$lang['Buttons'] = '按钮';
+$lang['Color scheme'] = '配色方案';
+$lang['Comments'] = '评论';
+$lang['Continue'] = '继续';
+$lang['Data updated with error'] = '数据更新中包含错误';
+?>