Index: /extensions/meta/language/sv_SE/description.txt
===================================================================
--- /extensions/meta/language/sv_SE/description.txt	(revision 22925)
+++ /extensions/meta/language/sv_SE/description.txt	(revision 22925)
@@ -0,0 +1,1 @@
+Låter dig lägga till metadata
Index: /extensions/meta/language/sv_SE/plugin.lang.php
===================================================================
--- /extensions/meta/language/sv_SE/plugin.lang.php	(revision 22925)
+++ /extensions/meta/language/sv_SE/plugin.lang.php	(revision 22925)
@@ -0,0 +1,55 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['meta_inscat'] = 'Lägg till Metadata';
+$lang['meta_insmeta'] = 'Lägg till Metadatan';
+$lang['meta_keywords'] = 'Beskrivning metanyckelord';
+$lang['meta_keywords_help'] = '"Nyckelord, nyckelord, mm"<br> Nyckelord som beskriver websidan. (Kommaseparerade)';
+$lang['meta_list'] = 'Metadata';
+$lang['meta_name'] = 'Namn på metadata';
+$lang['meta_onglet_description'] = 'Beskrivning metadata';
+$lang['meta_onglet_gestion'] = 'Metadata';
+$lang['meta_robots'] = 'Beskrivning metarobbotar';
+$lang['meta_robots_help'] = 'all: Låter robboten att andvända hela sidan som referens (standard)<br>follow: Låter robboten följa länkar på sidan<br>index: Låter robboten att indexera sidan<br>noindex: Förbjuder robboten att indexera sidan<br>none: Förhindra robboten att indexera siten<br>';
+$lang['meta_select'] = 'Välj metadata att redigera';
+$lang['meta_select2'] = 'Välj metadata';
+$lang['Add Personal metadata'] = 'Lägg till personlig metadata';
+$lang['List Personal Metadata'] = 'Lista personlig metadata';
+$lang['Manage tag Metadata'] = 'Administrera tag metadata';
+$lang['Metadata - Plugin meta'] = 'Metadata - Plugin meta';
+$lang['Personal Metadata'] = 'Personlig metadata';
+$lang['Personal metadata update'] = 'Uppdatera personlig metadata';
+$lang['meta_Description'] = 'Beskrivning meta beskrivning';
+$lang['meta_Description_help'] = 'Beskrivning av din site<br> Möjligjör att ge en beskrivning av innlägg i sökresultat ';
+$lang['meta_author'] = 'Beskrivning meta utgivare';
+$lang['meta_author_help'] = 'Information om utgivaren <br> Information om utgivaren av siten ';
+$lang['meta_choix'] = 'Redigera metadata';
+$lang['meta_comp'] = 'Metadata som ska kompleteras';
+$lang['meta_compcat'] = 'Nyckelord till album som ska färdigställas';
+$lang['meta_compcatdes'] = 'Album beskrivning att ersätta';
+$lang['meta_compcatdeshelp'] = 'Kommer att ersätta all beskrivning';
+$lang['meta_compimg'] = 'Nyckelord till bild som ska färdigställas';
+$lang['meta_compimgdes'] = 'Bildbeskrivning att ersätta';
+$lang['meta_description'] = 'beskrivning';
+$lang['meta_desh3'] = 'Lägg till metadata till alla sidor';
+$lang['meta_diff_val'] = 'Möjligt värde';
+?>