Index: /extensions/Crop_Image/admin.php
===================================================================
--- /extensions/Crop_Image/admin.php	(revision 22938)
+++ /extensions/Crop_Image/admin.php	(revision 22939)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Crop Image
-Version: 2.5.c
+Version: 2.5.d
 Description: Enables to Crop Images already uploaded to the gallery, basic functionality.  Tested with v2.5.1, v2.4.6
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=700
@@ -38,4 +38,5 @@
 // | Process form                                                          |
 // +-----------------------------------------------------------------------+
+load_language('plugin.lang', PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
 
 // cancel crop
@@ -80,7 +81,4 @@
 	sync_metadata(array($row['id']));
 	
-	//list($width, $height) = getimagesize($banner['PATH']);
-  //$filesize = floor(filesize($banner['PATH'])/1024);
-
 	$query = 'UPDATE '.IMAGES_TABLE .'
     			 	  SET coi=NULL
@@ -90,5 +88,5 @@
   delete_element_derivatives($row); 
   
-  $_SESSION['page_infos'][] = l10n('Photo Cropped'); 
+  $_SESSION['page_infos'][] = l10n('Photo')." ".l10n('Cropped'); 
   redirect($admin_photo_base_url);
 }
@@ -106,4 +104,5 @@
 // |                             template init                             |
 // +-----------------------------------------------------------------------+
+
 
 $template->set_filenames(
@@ -131,5 +130,5 @@
   if (!pwg_db_num_rows($result))
   {
-    array_push($page['errors'], l10n('Unknown Photo ID'));
+    array_push($page['errors'], l10n('Unknown').' '. l10n('Photo'));
   }
   else
Index: /extensions/Crop_Image/crop.class.php
===================================================================
--- /extensions/Crop_Image/crop.class.php	(revision 22938)
+++ /extensions/Crop_Image/crop.class.php	(revision 22939)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Crop Image
-Version: 2.5.c
+Version: 2.5.d
 Description: Enables to Crop Images already uploaded to the gallery, basic functionality.  Tested with v2.5.1, v2.4.6
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=700
@@ -32,6 +32,6 @@
       'height'=> $height,
       'crop' => array(
-        'width' => $width,//$x2-$x,
-        'height' => $height,//$y2-$y,
+        'width' => $width,
+        'height' => $height,
         'x' => $x,
         'y' => $y,
Index: /extensions/Crop_Image/crop_image.tpl
===================================================================
--- /extensions/Crop_Image/crop_image.tpl	(revision 22938)
+++ /extensions/Crop_Image/crop_image.tpl	(revision 22939)
@@ -41,6 +41,6 @@
 <form method="post" action="">
 <fieldset>
-  <legend>Crop Photo</legend>
-  {'Choose the part of the photo you want to keep.'|@translate}<br>
+  <legend>{'Crop'|@translate} {'Photo'|@translate}</legend>
+  {'Choose the part of the photo you want to keep'|@translate}<br>
   <img id="jcrop" src="{$picture.banner_src}?{1|rand:200}" width="{$crop.display_width}" height="{$crop.display_height}">
   
Index: /extensions/Crop_Image/functions.inc.php
===================================================================
--- /extensions/Crop_Image/functions.inc.php	(revision 22938)
+++ /extensions/Crop_Image/functions.inc.php	(revision 22939)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Crop Image
-Version: 2.5.c
+Version: 2.5.d
 Description: Enables to Crop Images already uploaded to the gallery, basic functionality.  Tested with v2.5.1, v2.4.6
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=700
Index: /extensions/Crop_Image/main.inc.php
===================================================================
--- /extensions/Crop_Image/main.inc.php	(revision 22938)
+++ /extensions/Crop_Image/main.inc.php	(revision 22939)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Crop Image
-Version: 2.5.c
+Version: 2.5.d
 Description: Enables to Crop Images already uploaded to the gallery, basic functionality.  Tested with v2.5.1, v2.4.6
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=700
@@ -19,4 +19,7 @@
 function crop_image_add_tab($sheets, $id)
 {  
+	global $lang;
+	load_language('plugin.lang', dirname(__FILE__).'/');
+	 
 	$image_id = isset($_GET['image_id'])? $_GET['image_id'] : '';
  
@@ -47,5 +50,6 @@
 function cropImage_set_prefilter_add_to_pic_info()
 {
-	global $template, $conf, $user, $page;
+	global $template, $conf, $user, $page, $lang;
+	load_language('plugin.lang', dirname(__FILE__).'/');
 	
 	$url_admin =
@@ -95,6 +99,6 @@
 	
 	$replacement = '
-	<a class="pwg-state-default pwg-button" href="{$U_CROPIMAGE}" title="Crop Image" rel="nofollow">
-    	 <span class="ci-icon ci-icon-cropimage-{$U_CROPIMAGE_THEME}"> </span><span class="pwg-button-text">Crop Image</span>
+	<a class="pwg-state-default pwg-button" href="{$U_CROPIMAGE}" title="{\'Crop\'|@translate} {\'Photo\'|@translate}" rel="nofollow">
+    	 <span class="ci-icon ci-icon-cropimage-{$U_CROPIMAGE_THEME}"> </span><span class="pwg-button-text">{\'Crop\'|@translate} {\'Photo\'|@translate}</span>
   </a>
 	' . $search;