Index: /trunk/language/tr_TR/help/extend_for_templates.html
===================================================================
--- /trunk/language/tr_TR/help/extend_for_templates.html	(revision 22992)
+++ /trunk/language/tr_TR/help/extend_for_templates.html	(revision 22992)
@@ -0,0 +1,38 @@
+<h2>Şablon Uzantı Yapılandırması</h2>
+
+<h3>Hakkında</h3>
+<p>Piwigo galeriniz var olan şablon dosyalarının kişisel uyarlamalarla değiştirilmesi ile kişiselleştirilebilir. Örneğin, varsayılan başlık şablonu (header.tpl) kişiselleştirilmiş bir başlık şablonu (my-header.tpl) ile değiştirilebilir. Değişiklik veri tabanına gönderildiğinde galeriniz varsayılan yerine yenilediğiniz şablonu görüntüleyecektir.<br>
+Şablon uzantıları yeni veya uzman her iki kullanıcı grubu için de tema oluşturmak için güçlü bir yol sağlar. LocalFiles düzenleyicisi ile çalışarak kendinize ait alt temalar yaratabilirsiniz.</p>
+
+<h3>Esas (Orjinal) Şablon</h3>
+<p>Bir tema, galeri sayfalarınızı oluşturan bir kaç adet şablon dosyasından oluşur. Bunlar esas (orjinal) şablonlardır.</p>
+
+<h3>İsteğe bağlı URL anahtar kelimeleri</h3>
+<p>Bunlar modül adından sonra gelen galeri URL'sinde bulunan kelimelerdir. Bunlar aynı zamanda kalıcı bağlantı olabilirler (Detaylı bilgi için kalıcı bağlantı dokümanını inceleyebilirsiniz).  <a href="#warnings">UYARI:</a> Eğer aynı esas şablon ve aynı anahtar kelime bir veya bir kaç kişisel şablonda kullanılırsa, sadece en sonuncusu etkinleştirilir.</p>
+
+<h3>Bağlı Tema</h3>
+<p>Şablon dosyalarının yenileriyle değiştirileceği temaya Bağlı Tema denir.</p>
+
+<h3>Esas (Orjinal) şablonlar nerdedir?</h3>
+<p>Orijinal şablonlar, her tema ile birlikte gelen şablon dosyalarıdır. Bunlar <em>/themes/default/template</em> (yada <em>themes/<theme name>/template</em>) alanında bulunurlar. Bu şablon dosyaları yerinde düzenleme yapılmamalıdır, tema güncellemesi sırasında değişiklikler kaybedilir.<br>
+Desteklenen esas (orjinal) şablonlar arasında bunlar vardır:</p>
+<ul>
+  <li><span class="filename">index.tpl</span></li>
+  <li><span class="filename">mainpage_categories.tpl</span> and/or <span class="filename">thumbnails.tpl</span></li>
+  <li><span class="filename">menubar.tpl</span></li>
+  <li><span class="filename">header.tpl</span> and/or <span class="filename">footer.tpl</span></li>
+  <li><span class="filename">picture_content.tpl</span> and/or <span class="filename">picture.tpl</span></li>
+  <!-- <li><span class="filename">slideshow.tpl</span></li> -->
+  <li><span class="filename">profile.tpl</span> and/or <span class="filename">profile_content.tpl</span></li>
+  <li><span class="filename">tags.tpl</span></li>
+  <li><span class="filename">upload.tpl</span></li>
+  <li><span class="filename">about.tpl</span></li>
+  <li><span class="filename">popuphelp.tpl</span></li>
+  <li><span class="filename">search.tpl</span> and/or <span class="filename">search_rules.tpl</span></li>
+  <li><span class="filename">nbm.tpl</span> and/or <span class="filename">notification.tpl</span></li>
+  <li><span class="filename">identification.tpl</span> and/or <span class="filename">register.tpl</span></li>
+  <li><span class="filename">redirect.tpl</span></li>
+</ul>
+
+
+NOTE: TRANSLATION NOT COMPLETED YET! / ONGOING!
Index: /trunk/language/tr_TR/help/maintenance.html
===================================================================
--- /trunk/language/tr_TR/help/maintenance.html	(revision 22992)
+++ /trunk/language/tr_TR/help/maintenance.html	(revision 22992)
@@ -0,0 +1,25 @@
+<h2>Bakım</h2>
+
+<p>Sayfa oluşturma hızını optimize etmek için Piwigo önbellekte sakladığı bilgileri kullanır. Mesela, her albümdeki fotoğrafları her sayfa yüklenişinde saymak yerine bu bilgi veri tabanında saklanır. Teoride bu bilgi her zaman doğru olmaktadır ancak bazen bir hata oluşarak bilginin geçersiz olmasına yol açabilir.</p>
+
+<p>Bazı bilgiler gün geçtikçe kullanışsız/gereksiz hale gelebilir. Bu verilerin veri tabanından silinmesi size disk alanı kazandıracaktır.</p>
+
+<ul>
+	<li><strong>Sahipsiz etiketlerin silinmesi</strong></li>
+</ul>
+<ul>
+  <li><strong>Albüm bilgilerini güncelleme:</strong> Her albüm için takip eden bilgiler kontrol edilir ve gerekirse güncellenir: ana albüm listesi, fotoğraf sayısı, son fotoğraf tarihi, kardeş albümler arasındaki konumu, tüm albümler arasındaki konumu. Bu eylem aynı zamanda temsil fotoğraflarının tutarlılığını da kontrol eder.</li>
+  <li><strong>Fotoğraf bilgilerinin güncellenmesi:</strong> Her fotoğraf için takip eden bilgiler güncellenir: tam dosya konumu, ortalama derecelendirmes. <em>Uyarı</em>, karıştırmayın: metadata bilgisi mutlaka <span class="pwgScreen">Yönetimsel &raquo; Araçlar &raquo; Eşleştirme</span> 'dan yada tek bir fotoğrafın değişiklik sayfasından eşleştirilmelidir (örneğin buradan <span class="pwgScreen">Fotoğraf</span> </li>
+</ul>
+<ul>
+  <li><strong>Veri tabanının onarımı ve optimizasyonu:</strong>Veri tabanındaki her tablo için yeniden sıralandırma, onarım ve optimizasyon operasyonlarını yapın.</li>
+  <li><strong>Bütünlük kontrolünü yeniden başlatın</strong></li>
+</ul>
+<ul>
+  <li><strong>Geçmiş detayların silinmesi:</strong> Geçmiş tablosundaki tüm satırları silin. <span class="pwgScreen">Yönetimsel &raquo; Araçlar &raquo; Geçmiş</span> ekranı artık geçmişi görüntülemeyecektir. <em>Uyarı:</em> Geri almanın bir yolu olmadan tüm veriler kaybedilecektir.</li>
+  <li><strong>Geçmiş özetinin silinmesi:</strong> Ziyaret geçmişine ait tüm özeti silin. Bu özet geçmiş detayından alınmaktadır.</li>
+  <li><strong>Oturumların silinmesi:</strong> Zamanı geçen oturum bilgilerini silin.</li>
+  <li><strong>Hiç kullanılmayan bilgilendirme beslemelerini silin.</strong></li>
+  <li><strong>Aramalar geçmişini silin.</strong></li>
+  <li><strong>Derlenen şablonları silin.</strong></li>  
+</ul>