Index: /extensions/meta/language/fr_CA/description.txt
===================================================================
--- /extensions/meta/language/fr_CA/description.txt	(revision 23035)
+++ /extensions/meta/language/fr_CA/description.txt	(revision 23035)
@@ -0,0 +1,1 @@
+Permet d'ajouter ou de personnaliser des balises métadonnées
Index: /extensions/meta/language/fr_CA/index.php
===================================================================
--- /extensions/meta/language/fr_CA/index.php	(revision 23035)
+++ /extensions/meta/language/fr_CA/index.php	(revision 23035)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/meta/language/fr_CA/plugin.lang.php
===================================================================
--- /extensions/meta/language/fr_CA/plugin.lang.php	(revision 23035)
+++ /extensions/meta/language/fr_CA/plugin.lang.php	(revision 23035)
@@ -0,0 +1,45 @@
+<?php
+
+$lang['Manage tag Metadata'] = 'Gèrer balises Métadonnées';
+
+//tab gest
+$lang['meta_onglet_gestion'] = 'Métadonnées';
+$lang['meta_desh3'] = 'Ajouter des métadonnées à toutes les pages';
+$lang['meta_name'] = 'Nom de la métadonnée';
+$lang['meta_select'] = 'Sélectionnez la métadonnée à éditer';
+$lang['meta_choix'] = 'Éditer la métadonnée';
+$lang['meta_list'] = 'Métadonnée :';
+$lang['meta_select2'] = 'Sélectionnez la métadonnée';
+$lang['meta_description'] = 'description';
+$lang['meta_diff_val'] = 'Valeur possible';
+$lang['meta_comp'] = 'Métadonnée à compléter';
+$lang['meta_insmeta'] = 'insérer la métadonnée';
+
+//edit
+$lang['Metadata - Plugin meta'] = 'Métadonnée - Greffon meta';
+$lang['meta_compimg'] = 'Mots clés de la photo à compléter';
+$lang['meta_compimgdes'] = 'Description de la photo à substituer';
+$lang['meta_inscat'] = 'Insérer les meta';
+$lang['meta_compcatdeshelp'] = 'Viendra en remplacement de toutes les descriptions';
+$lang['meta_compcat'] = 'Mots clés de l\'album à compléter';
+$lang['meta_compcatdes'] = 'Description de l\'album à substituer';
+
+//tab description
+$lang['meta_onglet_description'] = 'Description des Métadonnées';
+$lang['meta_author'] = 'Description du meta Auteur';
+$lang['meta_author_help'] = 'Informations sur l\'auteur<br> Informations sur l\'auteur du site';
+$lang['meta_keywords'] = 'Description de meta Mot clé';
+$lang['meta_keywords_help'] = '"mot clé, mot clé, etc."<br> Mots clés décrivant la page Web.(séparés par une virgule)';
+$lang['meta_Description'] = 'Description du meta Description';
+$lang['meta_Description_help'] = 'Description de votre site<br> Permet de donner une information à afficher lors du résultat d\'une recherche.';
+$lang['meta_robots'] = 'Description de meta Robot';
+$lang['meta_robots_help'] = 'all : Permet au robot de référencer toute la page (par défaut)<br> follow : Permet au robot de suivre les liens de la page<br> index : Permet au robot d\'indexer la page<br> nofollow : Interdit au robot de suivre les liens<br> noindex : Interdit au robot d\'indexer la page<br> none : Empêche le robot de poursuivre l\'indexation du site<br> ';
+
+//tab personal meta
+$lang['Personal Metadata'] = 'Métadonnées Personnels';
+$lang['Personal metadata update'] = 'Métadonnées Personnels misent à jour';
+$lang['Add Personal metadata'] = 'Ajouter des Métadonnées Personnels';
+$lang['List Personal Metadata'] = 'Lister les Métadonnées Personnels';
+
+
+?>
Index: /extensions/meta/language/fr_FR/description.txt
===================================================================
--- /extensions/meta/language/fr_FR/description.txt	(revision 23034)
+++ /extensions/meta/language/fr_FR/description.txt	(revision 23035)
@@ -1,1 +1,1 @@
-Permet d'ajouter des métadonnées
+Permet d'ajouter ou de personnaliser des balises métadonnées
Index: /extensions/meta/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/meta/language/fr_FR/plugin.lang.php	(revision 23034)
+++ /extensions/meta/language/fr_FR/plugin.lang.php	(revision 23035)
@@ -1,5 +1,5 @@
 <?php
 
-$lang['Manage tag Metadata'] = 'Gèrer balises Metadonnées';
+$lang['Manage tag Metadata'] = 'Gèrer balises Métadonnées';
 
 //tab gest
@@ -7,15 +7,15 @@
 $lang['meta_desh3'] = 'Ajouter des métadonnées à toutes les pages';
 $lang['meta_name'] = 'Nom de la métadonnée';
-$lang['meta_select'] = 'Sélectionnez la metadonnée à éditer';
-$lang['meta_choix'] = 'Editer la metadonnée';
-$lang['meta_list'] = 'Metadonnée :';
-$lang['meta_select2'] = 'Sélectionnez la metadonnée';
+$lang['meta_select'] = 'Sélectionnez la métadonnée à éditer';
+$lang['meta_choix'] = 'Éditer la métadonnée';
+$lang['meta_list'] = 'Métadonnée :';
+$lang['meta_select2'] = 'Sélectionnez la métadonnée';
 $lang['meta_description'] = 'description';
 $lang['meta_diff_val'] = 'Valeur possible';
-$lang['meta_comp'] = 'Metadonnée à compléter';
-$lang['meta_insmeta'] = 'inserer la metadonnée';
+$lang['meta_comp'] = 'Métadonnée à compléter';
+$lang['meta_insmeta'] = 'insérer la métadonnée';
 
 //edit
-$lang['Metadata - Plugin meta'] = 'Metadonnée - Plugin meta';
+$lang['Metadata - Plugin meta'] = 'Métadonnée - Plugin meta';
 $lang['meta_compimg'] = 'Mots clés de la photo à compléter';
 $lang['meta_compimgdes'] = 'Description de la photo à substituer';
@@ -26,19 +26,19 @@
 
 //tab description
-$lang['meta_onglet_description'] = 'Description des Metadonnées';
-$lang['meta_author'] = 'Description de meta author';
+$lang['meta_onglet_description'] = 'Description des Métadonnées';
+$lang['meta_author'] = 'Description du meta Auteur';
 $lang['meta_author_help'] = 'Informations sur l\'auteur<br> Informations sur l\'auteur du site';
 $lang['meta_keywords'] = 'Description de meta keywords';
-$lang['meta_keywords_help'] = '"mot clé, mot clé, etc."<br> Mots clés décrivant la page Web.(séparé par une virgule)';
-$lang['meta_Description'] = 'Description de meta Description';
+$lang['meta_keywords_help'] = '"mot clé, mot clé, etc."<br> Mots clés décrivant la page Web.(séparés par une virgule)';
+$lang['meta_Description'] = 'Description du meta Description';
 $lang['meta_Description_help'] = 'Description de votre site<br> Permet de donner une information à afficher lors du résultat d\'une recherche.';
-$lang['meta_robots'] = 'Description de meta robots';
+$lang['meta_robots'] = 'Description de meta Robot';
 $lang['meta_robots_help'] = 'all : Permet au robot de référencer toute la page (par défaut)<br> follow : Permet au robot de suivre les liens de la page<br> index : Permet au robot d\'indexer la page<br> nofollow : Interdit au robot de suivre les liens<br> noindex : Interdit au robot d\'indexer la page<br> none : Empêche le robot de poursuivre l\'indexation du site<br> ';
 
 //tab personal meta
-$lang['Personal Metadata'] = 'Metadonnées Personels';
-$lang['Personal metadata update'] = 'Metadonnées Personels Misent à jours';
-$lang['Add Personal metadata'] = 'Ajoutez des Metadonnées Personels';
-$lang['List Personal Metadata'] = 'Liste des Metadonnées Personels';
+$lang['Personal Metadata'] = 'Métadonnées Personnels';
+$lang['Personal metadata update'] = 'Métadonnées Personnels misent à jour';
+$lang['Add Personal metadata'] = 'Ajouter des Métadonnées Personnels';
+$lang['List Personal Metadata'] = 'Lister les Métadonnées Personnels';
 
 