Index: /extensions/piwishack/language/zh_TW/index.php
===================================================================
--- /extensions/piwishack/language/zh_TW/index.php	(revision 23038)
+++ /extensions/piwishack/language/zh_TW/index.php	(revision 23038)
@@ -0,0 +1,27 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PiwiShack - a Piwigo Plugin                                           |
+// | Copyright (C) 2009 MOREAU Julien - gotcha@piwigo.org                  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/piwishack/language/zh_TW/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/zh_TW/plugin.lang.php	(revision 23038)
+++ /extensions/piwishack/language/zh_TW/plugin.lang.php	(revision 23038)
@@ -0,0 +1,31 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PiwiShack - a Piwigo Plugin                                           |
+// | Copyright (C) 2009 MOREAU Julien - gotcha@piwigo.org                  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['open_window_piwishack']         = '打開PiwiShack視窗';
+$lang['close_window_piwishack']     = '關閉PiwiShack視窗';
+$lang['Partage_me']                 = '分享你的影像.';
+$lang['text_intro_thumbnail']         = '顯示縮圖';
+$lang['Post_on_a_website']             = '分享縮圖到網站(可點擊). HTML標籤.'; 
+$lang['dd_Post_on_a_website']         = '分享一般大小圖片到網站(可點擊). HTML標籤.';
+$lang['Post_on_a_forum']             = '分享縮圖到論壇(可點擊). BBcode 標籤.';
+$lang['dd_Post_on_a_forum']         = '分享一般大小圖片到論壇(可點擊). BBcode 標籤.';
+$lang['text_intro_normal_view']     = '一般檢視.';
+$lang['Post_a_direct_link']         = '鏈結到您的文件.';
+?>