Index: /extensions/adult_content/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/adult_content/language/ru_RU/plugin.lang.php	(revision 23068)
+++ /extensions/adult_content/language/ru_RU/plugin.lang.php	(revision 23069)
@@ -66,3 +66,33 @@
 $lang['NEW! Check the Plugin PWG Stuffs to add the disclaimer on the index/album pages'] = 'Новое! Проверка для плагина PWG Stuffs - добавление заявления об отказе от ответственности на страницах альбома и в содержании';
 $lang['No options. Just check "Allow unregistered users to select their age?" on the Adult Content administration page'] = 'Без вариантов. Только проверка "Разрешать незарегистрированным пользователям выбирать их возраст?" в плагине Adult Content на странице администратора';
+$lang['ad_c_howitworks'] = 'Назначение данного плагина - помочь Вам в управлении "взрослым" контентом(Вы также можете адаптировать его и для контента со сценами насилия). Плагин управляет посетителями и/или пользователями так, как Вы определили, устанавливая соответствующие параметры плагина. <br />
+<br />
+1 - Как администратор, Вы должны сами разместить контент "для взрослых" в приватную галерею или альбом (плагин самостоятельно не управляет правами просмотра изображений, по крайней мере, пока). Затем присоедините галерею или альбом в группу "18" или "16-17" (группы создаются плагином) следующим образом:<br /><br />
+
+- в группе "18" разрешается просмотр содержимого, предназначенного для пользователей старше 18 лет, а также обычного содержимого (хотя обычное содержимое, как правило, делают сразу публичным)
+<br /><br />
+- в группе "16-17" разрешается просмотр содержимого, предназначенного для пользователей старше 16 лет, а также обычного содержимого (хотя обычное содержимое, как правило, делают сразу публичным)
+<br /><br />
+- в группе "ничего такого" разрешается просмотр обычного содержимого (хотя обычное содержимое, как правило, делают сразу публичным)
+<br />
+
+<br />
+2 - Применение плагина<br />
+2.1 - Управление пользователями<br />
+<br />
+Если пользователь уже зарегистрирован и активирован в галерее, то плагин показывает ему маленькое окно с кнопкой, где он должен выбрать свой возраст. После нажатия появляется сообщение о "Содержимом для взрослых" и возможность выбора возраста (Charte_user.php).
+
+После того, как пользователь выбирает свой возраст, его повторно перенаправляют к странице выбора возраста (Charte_user.php) только непосредственно после регистрации.
+
+В общем, плагин объединяет пользователям по трем группам "18", 16-17" и "ничего такого", основываясь на сообщенных данных о возрасте. Пользователь может в любое время сменить данные о возрасте через блок меню "Содержимое для взрослых". Это блок включается и выключается для доступа пользователей администратором Piwigo (обратите внимание, что наличие прямой ссылки на charte_user.php все равно продолжает действовать). Т.е. если Вы хотите запретить пользователям выбирать свой возраст, то с помощью именно плагина Вам это не удасться - придется ставить другие ограничения на просмотр изображений.<br />
+<br />
+2.2 - Управление посетителями<br />
+<br />
+Если функция \'Разрешить незарегистрированным посетителям выбирать свой возраст?\' включена, что модуль работает также, как и с пользователями. * Он отображает в меню, что показано не всё содержимое галереи (часть отфильтрована) и для того, чтобы посетитель мог указать свой возраст, он должен отключить этот фильтр. Для этого он будет перенаправлен на страницу выбора возраста (chartre.php).
+
+В общем, плагин объединяет посетителей в две группы: "18" - тех, кто старше 18 лет, и "16-17" - тех, кто старше 16 лет. Эти два пользовательских аккаунта не могут быть изменены посетителями, а только администратором. Для этого откройте и измените тему, согласно возраста этих двух аккаунтов.<br />
+<br />
+2.3 - Возможность адаптации<br />
+<br />
+Вы может адаптировать и применять этот плагин для содержимого со сценами насилия, просто поменяв текст в файле (лучше всего для редактирования текста использовать плагин Local Files Editor). Точно также можно внести изменения и в возрастные ограничения.';
 ?>