Index: /trunk/language/cs_CZ/admin.lang.php
===================================================================
--- /trunk/language/cs_CZ/admin.lang.php	(revision 23093)
+++ /trunk/language/cs_CZ/admin.lang.php	(revision 23094)
@@ -39,6 +39,6 @@
 $lang['%d member'] = '%d účastník';
 $lang['%d members'] = '%d účastníků';
-$lang['%d tag'] = '%d klíčové slovo';
-$lang['%d tags'] = '%d klíčových slov';
+$lang['%d tag'] = '%d štítek';
+$lang['%d tags'] = '%d štítků';
 $lang['%d user comment rejected'] = '%d komentář uživatele odmítnut';
 $lang['%d user comments rejected'] = '%d komentářů uživatelů odmítnuto';
@@ -53,5 +53,5 @@
 $lang['Activate'] = 'Aktivovat';
 $lang['Add/delete a permalink'] = 'Přidat/odebrat pernamentní odkaz';
-$lang['Add a tag'] = 'Přidat klíčové slovo';
+$lang['Add a tag'] = 'Přidat štítek';
 $lang['Add a user'] = 'Přidat uživatele';
 $lang['Add group'] = 'Přidat skupinu';
@@ -71,5 +71,5 @@
 $lang['Deactivate'] = 'Deaktivovat';
 $lang['Delete Representant'] = 'Smazat reprezentativní obrázek';
-$lang['Delete selected tags'] = 'Smazat vybraná klíčová slova';
+$lang['Delete selected tags'] = 'Smazat vybrané štítky';
 $lang['Delete selected users'] = 'Smazat vybrané uživatele';
 $lang['Deletions'] = 'Smazání';
@@ -80,6 +80,6 @@
 $lang['Dissociated'] = 'Vazba zrušena';
 $lang['Does not represent'] = 'Nereprezentuje';
-$lang['Edit selected tags'] = 'Upravit vybraná klíčová slova';
-$lang['Edit tags'] = 'Upravit klíčová slova';
+$lang['Edit selected tags'] = 'Upravit vybrané štítky';
+$lang['Edit tags'] = 'Upravit štítky';
 $lang['Email admins when a new user registers'] = 'Poslat e-mail administrátorovi při registraci nového uživatele';
 $lang['Email admins when a valid comment is entered'] = 'Poslat e-mail administrátorovi při vložení nového komentáře';
@@ -104,5 +104,5 @@
 $lang['Manage permissions for group "%s"'] = 'Nastavit práva pro skupinu "%s"';
 $lang['Manage permissions for user "%s"'] = 'Nastavit práva pro uživatele "%s"';
-$lang['Manage tags'] = 'Správa klíčových slov';
+$lang['Manage tags'] = 'Správa štítků';
 $lang['Members'] = 'Členové';
 $lang['Metadata synchronized from file'] = 'Metadata synchronizována ze souboru';
@@ -112,5 +112,5 @@
 $lang['New name'] = 'Nové jméno';
 $lang['New parent album'] = 'Nové hlavní album';
-$lang['New tag'] = 'Nové klíčové slovo';
+$lang['New tag'] = 'Nový štítek';
 $lang['Number of comments per page'] = 'Počet komentářů na stránce';
 $lang['Number of rates'] = 'Počet hodnocení';
@@ -157,8 +157,8 @@
 $lang['Storage album'] = 'Uložené album';
 $lang['Sum of rates'] = 'Součet hodnot';
-$lang['Tag "%s" already exists'] = 'Klíčové slovo "%" už existuje';
-$lang['Tag "%s" was added'] = '"%" klíčových slov bylo přidáno';
-$lang['Tag selection'] = 'Výběr klíčových slov';
-$lang['The %d following tags were deleted'] = 'Následujících %d klíčových slov bylo odstraněno';
+$lang['Tag "%s" already exists'] = 'Štítek "%" už existuje';
+$lang['Tag "%s" was added'] = '"%" štítků bylo přidáno';
+$lang['Tag selection'] = 'Výběr štítků';
+$lang['The %d following tags were deleted'] = 'Následujících %d štítků bylo odstraněno';
 $lang['Unable to check for upgrade.'] = 'Unable to check for upgrade.';
 $lang['Uninstall'] = 'Odinstalovat';
@@ -304,5 +304,5 @@
 $lang['test'] = 'Test';
 $lang['test this remote site'] = 'Otestovat vzdálenou stránku';
-$lang['remove tags'] = 'Přesunout klíčová slova';
+$lang['remove tags'] = 'Odebrat štítky';
 $lang['Repair and optimize database'] = 'Opravit a optimalizovat databázi';
 $lang['selection'] = 'Výběr';
@@ -646,5 +646,5 @@
 $lang['Set as default language for unregistered and new users'] = 'Nastavit jako výchozí jazyk pro nezaregistrované a nové uživatele';
 $lang['Add Photos'] = 'Přidat fotografie';
-$lang['The following tag was deleted'] = 'Následující klíčové slovo byl odstraněn';
+$lang['The following tag was deleted'] = 'Následující štítek byl odstraněn';
 $lang['Miscellaneous'] = 'Různé';
 $lang['Virtual Links'] = 'Virtuální odkazy';
@@ -689,5 +689,5 @@
 $lang['All %d photos are selected'] = 'Všech %d fotografií bylo vybráno';
 $lang['remove this filter'] = 'smazat tento filtr';
-$lang['Duplicates'] = 'duplikáty';
+$lang['Duplicates'] = 'Duplikáty';
 $lang['Add a filter'] = 'Přidat filtr';
 $lang['Remove all filters'] = 'Smazat všechny filtry';
@@ -704,10 +704,10 @@
 $lang['remove creation date'] = 'smazat datum vytvoření';
 $lang['Album photos associated to the following albums: %s'] = 'Fotky alba přiřazeny k následujícím albům: %s';
-$lang['Delete orphan tags'] = 'Smazat tagy';
+$lang['Delete orphan tags'] = 'Smazat štítky';
 $lang['delete photo'] = 'smazat fotky';
-$lang['Orphan tags deleted'] = 'Tagy odstraněny';
+$lang['Orphan tags deleted'] = 'Štítky odstraněny';
 $lang['Remove from caddie'] = 'Odebrat z košíku';
 $lang['Week starts on'] = 'Týden začíná v';
-$lang['You have %d orphan tags: %s.'] = 'Máte %d tagů: %s.';
+$lang['You have %d orphan tags: %s.'] = 'Máte %d štítků: %s.';
 $lang['Themes which need upgrade'] = 'Šablony, které potřebují aktualizovat';
 $lang['Languages which need upgrade'] = 'Jazyky které potřebují aktualizovat';
@@ -786,12 +786,12 @@
 $lang['show details'] = 'zobrazit detaily';
 $lang['hide details'] = 'skrýt detaily';
-$lang['Merge tags'] = 'Sloučit tagy';
-$lang['Select the destination tag'] = 'Vyberte cílový tag';
-$lang['(this tag will be deleted)'] = '(tento tag bude vymazán)';
+$lang['Merge tags'] = 'Sloučit štítky';
+$lang['Select the destination tag'] = 'Vyberte cílový štítek';
+$lang['(this tag will be deleted)'] = '(tento štítek bude vymazán)';
 $lang['Confirm merge'] = 'Potvrdit sloučení';
-$lang['Merge selected tags'] = 'Sloučit vybrané tagy';
-$lang['No destination tag selected'] = 'Cílový tag nebyl vybrán';
-$lang['Tags <em>%s</em> merged into tag <em>%s</em>'] = 'Tagy <em>%s</em> sloučeny do tagu <em>%s</em>';
-$lang['Select at least two tags for merging'] = 'Vyberte alespoň 2 tagy pro sloučení';
+$lang['Merge selected tags'] = 'Sloučit vybrané štítky';
+$lang['No destination tag selected'] = 'Cílový štítek nebyl vybrán';
+$lang['Tags <em>%s</em> merged into tag <em>%s</em>'] = 'Štítky <em>%s</em> sloučeny do štítku <em>%s</em>';
+$lang['Select at least two tags for merging'] = 'Vyberte alespoň 2 štítky pro sloučení';
 $lang['Select an album'] = 'Vyberte album';
 $lang['An error has occured during upgrade.'] = 'Během aktualizace došlo k chybě.';
@@ -803,10 +803,10 @@
 $lang['Add to caddie'] = 'Přidat do košíku';
 $lang['%s has been successfully updated.'] = '%s: úspěšně aktualizováno.';
-$lang['Add tags'] = 'Přidat tagy';
+$lang['Add tags'] = 'Přidat štítky';
 $lang['Last import'] = 'Poslední import';
 $lang['Photo name'] = 'Název fotografie';
 $lang['Predefined filter'] = 'Předdefinovaný filtr';
 $lang['With no album'] = 'Bez alba';
-$lang['With no tag'] = 'Bez tagu';
+$lang['With no tag'] = 'Bez štítku';
 $lang['With no virtual album'] = 'Bez virtuálního alba';
 $lang['Activate comments'] = 'Aktivovat komentáře';
@@ -929,8 +929,8 @@
 $lang['create a new site'] = 'vytvoř nové místo';
 $lang['No order field selected'] = 'Není vybráno pole řazení';
-$lang['Duplicate selected tags'] = 'Duplikuj vybrané tagy';
+$lang['Duplicate selected tags'] = 'Duplikuj vybrané štítky';
 $lang['Name of the duplicate'] = 'Název duplikátu';
-$lang['Source tag'] = 'Zdrojový tag';
-$lang['Tag "%s" is now a duplicate of "%s"'] = 'Tag "%s" je nyní duplikátem "%s"';
+$lang['Source tag'] = 'Zdrojový štítek';
+$lang['Tag "%s" is now a duplicate of "%s"'] = 'Štítek "%s" je nyní duplikátem "%s"';
 $lang['Format'] = 'Formát';
 $lang['Invalid dimension'] = 'Neplatný rozměr';
@@ -957,3 +957,4 @@
 $lang['Type here the name of the new group'] = 'Napište sem jméno nové skupiny';
 $lang['Purge user cache'] = 'Provést údržbu uživatelské mezipaměťi';
+$lang['The picture dimensions will be reduced to %dx%d pixels.'] = 'Rozměry obrázku budou zmenšeny na %dx%d pixelů.';
 ?>