Index: /extensions/HistoryIPExcluder/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/HistoryIPExcluder/language/cs_CZ/plugin.lang.php	(revision 23107)
+++ /extensions/HistoryIPExcluder/language/cs_CZ/plugin.lang.php	(revision 23108)
@@ -41,6 +41,4 @@
 $lang['HIPE_IPBlacklisted'] = 'Zabránit registraci uživatelů s následujícími IP adresami (blacklist)';
 $lang['HIPE_OnlyGuest_description'] = 'Ukáže pouze IP použité Hosty a počet kolikrát bylo nalezeno v historické tabulce, tříděno dle počtu';
-$lang['HIPE_IPnoGuest_description'] = ' ';
-$lang['HIPE_IPnoGuest'] = ' ';
 $lang['HIPE_admin_description1'] = 'Do pole níže zadejte kompletní IP adresy, nebo rozsah IP adres pro zařazení do blacklistu (jednu adresu na řádek). Pro upřesnění rozsahu IP adres použijte zástupný znak "%".<br>Příklad : 74.6.1.2 nebo 74.6.%';
 $lang['HIPE_description'] = 'Tento plugin umožňuje vynechat IP adresy, nebo rozsahy IP adres z historie a statistik. <br>Jeho aktivace blokuje záznamy v tabulce historie IP adres uvedené v tabulce níže.';
Index: /extensions/HistoryIPExcluder/language/da_DK/plugin.lang.php
===================================================================
--- /extensions/HistoryIPExcluder/language/da_DK/plugin.lang.php	(revision 23107)
+++ /extensions/HistoryIPExcluder/language/da_DK/plugin.lang.php	(revision 23108)
@@ -21,6 +21,4 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['HIPE_IPnoGuest'] = ' ';
-$lang['HIPE_IPnoGuest_description'] = ' ';
 $lang['HIPE_resquet_ok'] = 'Forespørgsel er ok.';
 $lang['HIPE_save_config'] = 'Opsætning er gemt.';
Index: /extensions/HistoryIPExcluder/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/HistoryIPExcluder/language/de_DE/plugin.lang.php	(revision 23107)
+++ /extensions/HistoryIPExcluder/language/de_DE/plugin.lang.php	(revision 23108)
@@ -12,6 +12,4 @@
 $lang['HIPE_OnlyGuest'] = 'IP Adressen von Gästen';
 $lang['HIPE_OnlyGuest_description'] = 'Zeigt die IP Adressen von Gastbenutzern und die Anzahl der Einträge in der History Tabelle an (sortiert nach der Anzahl der Einträge)';
-$lang['HIPE_IPnoGuest'] = '';
-$lang['HIPE_IPnoGuest_description'] = '';
 
 $lang['HIPE_IPForMember'] = 'IP Adressen eines Mitglieds';
Index: /extensions/HistoryIPExcluder/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/HistoryIPExcluder/language/el_GR/plugin.lang.php	(revision 23107)
+++ /extensions/HistoryIPExcluder/language/el_GR/plugin.lang.php	(revision 23108)
@@ -29,6 +29,4 @@
 $lang['HIPE_IPForMember_description'] = 'Αναζήτηση και εμφάνιση των IPs που σχετίζονται με ένα εγγεγραμμένο χρήστη (ταξινομημένο κατά IP)';
 $lang['HIPE_IPForMember'] = 'IPs ενός μέλους';
-$lang['HIPE_IPnoGuest_description'] = ' ';
-$lang['HIPE_IPnoGuest'] = ' ';
 $lang['HIPE_MemberForIp_description'] = 'Αναζήτηση και εμφάνιση των χρηστών που συνδέονται με μία IP (ταξινομημένο κατά όνομα)';
 $lang['HIPE_MemberForIp'] = 'Μέλη για μία IP';
Index: /extensions/HistoryIPExcluder/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/HistoryIPExcluder/language/en_UK/plugin.lang.php	(revision 23107)
+++ /extensions/HistoryIPExcluder/language/en_UK/plugin.lang.php	(revision 23108)
@@ -12,6 +12,4 @@
 $lang['HIPE_OnlyGuest'] = 'Only Guests IPs';
 $lang['HIPE_OnlyGuest_description'] = 'Show the IPs only used by Guests and the number of times it\'s found in the history table, sorted by the number of times';
-$lang['HIPE_IPnoGuest'] = '';
-$lang['HIPE_IPnoGuest_description'] = '';
 
 $lang['HIPE_IPForMember'] = 'IPs for a member';
Index: /extensions/HistoryIPExcluder/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/HistoryIPExcluder/language/es_ES/plugin.lang.php	(revision 23107)
+++ /extensions/HistoryIPExcluder/language/es_ES/plugin.lang.php	(revision 23108)
@@ -12,6 +12,4 @@
 $lang['HIPE_OnlyGuest'] = 'IP de invitados solamente';
 $lang['HIPE_OnlyGuest_description'] = 'Búsqua y muestra únicamente el IP utilizado por invitados, y el número de visitas asociadas (selección por número de visitas por IP)';
-$lang['HIPE_IPnoGuest'] = '';
-$lang['HIPE_IPnoGuest_description'] = '';
 
 $lang['HIPE_IPForMember'] = 'IP de usuario';
Index: /extensions/HistoryIPExcluder/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/HistoryIPExcluder/language/fr_FR/plugin.lang.php	(revision 23107)
+++ /extensions/HistoryIPExcluder/language/fr_FR/plugin.lang.php	(revision 23108)
@@ -12,6 +12,4 @@
 $lang['HIPE_OnlyGuest'] = 'IP d\'invités seulement';
 $lang['HIPE_OnlyGuest_description'] = 'Recherche et affiche uniquement les IP utilisées par des invités, et le nombre de visites associées (tri par nombre de visites par IP)';
-$lang['HIPE_IPnoGuest'] = '';
-$lang['HIPE_IPnoGuest_description'] = '';
 
 $lang['HIPE_IPForMember'] = 'IP d\'un utilisateur';
Index: /extensions/HistoryIPExcluder/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/HistoryIPExcluder/language/hu_HU/plugin.lang.php	(revision 23107)
+++ /extensions/HistoryIPExcluder/language/hu_HU/plugin.lang.php	(revision 23108)
@@ -11,6 +11,4 @@
 $lang['HIPE_OnlyGuest'] = 'Csak vendég IP-k';
 $lang['HIPE_OnlyGuest_description'] = 'Az előzmények tábla szerint rendezve csak azon IP címeket mutatja melyekről a vendégek meglátogatták az oldalt. Felsorolja az IP címeket és azt, hogy az adott IP-ről hányszor kapcsolódtak.';
-$lang['HIPE_IPnoGuest'] = '';
-$lang['HIPE_IPnoGuest_description'] = '';
 
 $lang['HIPE_IPForMember'] = 'IP cím keresése felhasználónév szerint';
Index: /extensions/HistoryIPExcluder/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/HistoryIPExcluder/language/it_IT/plugin.lang.php	(revision 23107)
+++ /extensions/HistoryIPExcluder/language/it_IT/plugin.lang.php	(revision 23108)
@@ -12,6 +12,4 @@
 $lang['HIPE_OnlyGuest'] = 'IP solo degli ospiti';
 $lang['HIPE_OnlyGuest_description'] = 'Visualizza gli indirizzi IP usati unicamente dagli ospiti e il numero di volte che appaiono nella base, per numero di volte per IP';
-$lang['HIPE_IPnoGuest'] = '';
-$lang['HIPE_IPnoGuest_description'] = '';
 
 $lang['HIPE_IPForMember'] = 'IP di un\'utente';
Index: /extensions/HistoryIPExcluder/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/HistoryIPExcluder/language/lv_LV/plugin.lang.php	(revision 23107)
+++ /extensions/HistoryIPExcluder/language/lv_LV/plugin.lang.php	(revision 23108)
@@ -29,6 +29,4 @@
 $lang['HIPE_IPForMember_description'] = 'Meklē un parāda ar reģistrētiem lietotājiem saistītas IP adreses (sakārtotas pēc IP)';
 $lang['HIPE_IPForMember'] = 'Loceklim paredzētās IP adreses';
-$lang['HIPE_IPnoGuest_description'] = ' ';
-$lang['HIPE_IPnoGuest'] = ' ';
 $lang['HIPE_MemberForIp_description'] = 'Meklē un parāda lietotājus, kas piesaistīti vienai IP adresei (sakārtoti pēc vārda)';
 $lang['HIPE_MemberForIp'] = 'Locekļi uz vienu IP adresi';
Index: /extensions/HistoryIPExcluder/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/HistoryIPExcluder/language/pl_PL/plugin.lang.php	(revision 23107)
+++ /extensions/HistoryIPExcluder/language/pl_PL/plugin.lang.php	(revision 23108)
@@ -29,6 +29,4 @@
 $lang['HIPE_IPForMember_description'] = 'Wyszukaj i wyświetl nr. IP powiązane z zarejestrowanym użytkownikiem (sortowanie wg nr IP)';
 $lang['HIPE_IPForMember'] = 'Numery IP dla członka';
-$lang['HIPE_IPnoGuest_description'] = 'No text to translate????!!!';
-$lang['HIPE_IPnoGuest'] = 'No text to translate?????!!!!';
 $lang['HIPE_MemberForIp_description'] = 'Wyszukaj i wyświetl użytkowników powiązanych z jednym nr IP (sortowanie wg nazwiska)';
 $lang['HIPE_MemberForIp'] = 'Członkowie dla jednego nr IP';
Index: /extensions/HistoryIPExcluder/language/pt_BR/plugin.lang.php
===================================================================
--- /extensions/HistoryIPExcluder/language/pt_BR/plugin.lang.php	(revision 23107)
+++ /extensions/HistoryIPExcluder/language/pt_BR/plugin.lang.php	(revision 23108)
@@ -43,5 +43,3 @@
 $lang['HIPE_description'] = 'Este plugin permite excluir a história e as estatísticas de faixas de IP ou endereço IP. <br>A sua ativação registro blocos na tabela de IP*_história especificada na tabela abaixo. ';
 $lang['HIPE_hist_cleaned'] = 'A limpeza da tabela de histórico foi feito.';
-$lang['HIPE_IPnoGuest'] = ' ';
-$lang['HIPE_IPnoGuest_description'] = ' ';
 ?>
Index: /extensions/HistoryIPExcluder/language/pt_PT/plugin.lang.php
===================================================================
--- /extensions/HistoryIPExcluder/language/pt_PT/plugin.lang.php	(revision 23107)
+++ /extensions/HistoryIPExcluder/language/pt_PT/plugin.lang.php	(revision 23108)
@@ -21,6 +21,4 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['HIPE_IPnoGuest'] = ' ';
-$lang['HIPE_IPnoGuest_description'] = ' ';
 $lang['HIPE_save_config'] = 'Configuração salva';
 $lang['HIPE_description'] = 'Esta extensão permite excluir do histórico e das estatísticas de IP ou  faixa de IP\'s. <br> A ativação bloqueia o registo na tabela de IP*_history especificado na tabela abaixo.';
Index: /extensions/HistoryIPExcluder/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/HistoryIPExcluder/language/ru_RU/plugin.lang.php	(revision 23107)
+++ /extensions/HistoryIPExcluder/language/ru_RU/plugin.lang.php	(revision 23108)
@@ -29,6 +29,4 @@
 $lang['HIPE_IPForMember_description'] = 'Поиск и отображение IP-адресов связанных с зарегистрированными пользователями (отсортированы по IP)';
 $lang['HIPE_IPForMember'] = 'IP участников';
-$lang['HIPE_IPnoGuest_description'] = '?';
-$lang['HIPE_IPnoGuest'] = '?';
 $lang['HIPE_MemberForIp_description'] = 'Поиск и отображение пользователей c одним IP (отсортированных по имени)';
 $lang['HIPE_MemberForIp'] = 'Пользователи с одинаковым IP';
Index: /extensions/HistoryIPExcluder/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/HistoryIPExcluder/language/sk_SK/plugin.lang.php	(revision 23107)
+++ /extensions/HistoryIPExcluder/language/sk_SK/plugin.lang.php	(revision 23108)
@@ -21,6 +21,4 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['HIPE_IPnoGuest'] = '?';
-$lang['HIPE_IPnoGuest_description'] = '?';
 $lang['HIPE_admin_description1'] = 'Do poľa nižšie zadajte kompletné IP adresy, alebo rozsah IP adries pre zaradenie do blacklistu (jednu adresu na riadok). Pre upresnenie rozsahu IP adries použite rozšírený znak "%".<br>Napríklad: 74.6.1.2 alebo 74.6.%';
 $lang['HIPE_description'] = 'Tento doplnok umožňuje vynechať IP adresy, alebo rozsahy IP adries z histórie a štatistík. <br>Jeho aktivácia blokuje záznamy v tabuľke histórie IP adries uvedené v tabuľke nižšie.';
Index: /extensions/HistoryIPExcluder/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/HistoryIPExcluder/language/tr_TR/plugin.lang.php	(revision 23107)
+++ /extensions/HistoryIPExcluder/language/tr_TR/plugin.lang.php	(revision 23108)
@@ -31,6 +31,4 @@
 $lang['HIPE_admin_section2'] = 'Geçmiş tablosunda sorgulama';
 $lang['HIPE_admin_section1'] = 'IP Dışlama';
-$lang['HIPE_IPnoGuest_description'] = ' ';
-$lang['HIPE_IPnoGuest'] = ' ';
 $lang['HIPE_hist_cleaned'] = 'Geçmiş tablosu silindi.';
 $lang['HIPE_resquet_ok'] = 'İstek TAMAM.';
Index: /extensions/HistoryIPExcluder/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/HistoryIPExcluder/language/uk_UA/plugin.lang.php	(revision 23107)
+++ /extensions/HistoryIPExcluder/language/uk_UA/plugin.lang.php	(revision 23108)
@@ -24,6 +24,4 @@
 $lang['HIPE_MemberForIp'] = 'Користувачі з одним IP';
 $lang['HIPE_admin_section1'] = 'Виняток IP-адреси';
-$lang['HIPE_IPnoGuest'] = 'Переклад відсутній';
-$lang['HIPE_IPnoGuest_description'] = 'Переклад відсутній';
 $lang['HIPE_OnlyGuest_description'] = 'Показати IP-адреси, які використовуються тільки гостями та скільки разів вони знаходиться в таблиці історії, відсортовані за кількістю раз';
 $lang['HIPE_IPBlacklisted'] = 'Запобігання реєстрації в галереї виключених IP-адрес (чорний список)';